#version 150
#define FRAGMENT_SHADER
#define RENDERTYPE_TEXT

#moj_import <fog.glsl>
#moj_import <text.glsl>

uniform sampler2D Sampler0;

uniform vec4 ColorModulator;
uniform float FogStart;
uniform float FogEnd;
uniform vec4 FogColor;

in float vertexDistance;
in vec4 vertexColor;
in vec2 texCoord0;
in float depth;

out vec4 fragColor;

void main() {
    transform.vertexColor = vertexColor;
    transform.colorMod = ColorModulator;
    transform.texColor = texture(Sampler0, texCoord0);
    transform.color = transform.texColor * vertexColor * ColorModulator;
    transform.textDepth = depth;

    disableShadow(0);
    disableShadow(2200);

    fragColor = linear_fog(transform.color, vertexDistance, FogStart, FogEnd, FogColor);
}